# Interface IElementStateListenerExtension

public interface IElementStateListenerExtension
Extension interface for `IElementStateListener`. It adds

- state validation notification
- a notion of session, i.e. a notification about an upcoming element change and error handling.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`elementStateChangeFailed(Object element)`
Notifies that changing the given element has failed.
`void`
`elementStateChanging(Object element)`
Notifies that the given element is currently being changed.
`void`
`elementStateValidationChanged(Object element, boolean isStateValidated)`
Notifies that the state validation of the given element has changed.

## Method Details

### elementStateValidationChanged

void elementStateValidationChanged(Object element, boolean isStateValidated)
Notifies that the state validation of the given element has changed.

Parameters:
  `element` - the element
  `isStateValidated` - the flag indicating whether state validation is done

### elementStateChanging

void elementStateChanging(Object element)
Notifies that the given element is currently being changed. This method may be sent from a non-ui thread.

Parameters:
  `element` - the element

### elementStateChangeFailed

void elementStateChangeFailed(Object element)
Notifies that changing the given element has failed.

Parameters:
  `element` - the element